Zum Hauptinhalt springen
PATCH
/
marketing
/
v3
/
marketing-events
/
{objectId}
Update Marketing Event by objectId
curl --request PATCH \
  --url https://api.hubapi.com/marketing/v3/marketing-events/{objectId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customProperties": [
    {
      "dataSensitivity": "high",
      "isEncrypted": true,
      "isLargeValue": true,
      "name": "<string>",
      "persistenceTimestamp": 123,
      "requestId": "<string>",
      "selectedByUser": true,
      "selectedByUserTimestamp": 123,
      "source": "ACADEMY",
      "sourceId": "<string>",
      "sourceLabel": "<string>",
      "sourceMetadata": "<string>",
      "sourceUpstreamDeployable": "<string>",
      "sourceVid": [
        123
      ],
      "timestamp": 123,
      "unit": "<string>",
      "updatedByUserId": 123,
      "useTimestampAsPersistenceTimestamp": true,
      "value": "<string>"
    }
  ],
  "endDateTime": "2023-11-07T05:31:56Z",
  "eventCancelled": true,
  "eventDescription": "<string>",
  "eventName": "<string>",
  "eventOrganizer": "<string>",
  "eventType": "<string>",
  "eventUrl": "<string>",
  "startDateTime": "2023-11-07T05:31:56Z"
}
'
{
  "createdAt": "2023-11-07T05:31:56Z",
  "customProperties": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "eventName": "<string>",
  "objectId": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "appInfo": {
    "id": "<string>",
    "name": "<string>"
  },
  "endDateTime": "2023-11-07T05:31:56Z",
  "eventCancelled": true,
  "eventCompleted": true,
  "eventDescription": "<string>",
  "eventOrganizer": "<string>",
  "eventType": "<string>",
  "eventUrl": "<string>",
  "startDateTime": "2023-11-07T05:31:56Z"
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

objectId
string
erforderlich

The internal id of the marketing event in HubSpot.

Body

application/json
customProperties
object[]
erforderlich
endDateTime
string<date-time>

The end date and time of the marketing event

eventCancelled
boolean

Indicates if the marketing event has been cancelled

eventDescription
string

The description of the marketing event

eventName
string

The name of the marketing event

eventOrganizer
string

The name of the organizer of the marketing event

eventType
string

The type of the marketing event

eventUrl
string

A URL in the external event application where the marketing event can be managed

startDateTime
string<date-time>

The start date and time of the marketing event

Antwort

successful operation

createdAt
string<date-time>
erforderlich

The creation date and time of the marketing event

customProperties
object[]
erforderlich
eventName
string
erforderlich

The name of the marketing event

objectId
string
erforderlich

The internal ID of the marketing event in HubSpot

updatedAt
string<date-time>
erforderlich

The update date and time of the marketing event

appInfo
object
endDateTime
string<date-time>

The end date and time of the marketing event

eventCancelled
boolean

Indicates if the marketing event has been cancelled

eventCompleted
boolean

Indicates if the marketing event has been completed

eventDescription
string

The description of the marketing event

eventOrganizer
string

The name of the organizer of the marketing event

eventType
string

The type of the marketing event

eventUrl
string

A URL in the external event application where the marketing event can be managed

startDateTime
string<date-time>

The start date and time of the marketing event

Last modified on April 9, 2026